#include "slist.h"

#include <stdlib.h>
#include <string.h>

SList *
slist_prepend (SList *list,
               void  *data)
{
	SList *new = malloc (sizeof (SList));
	new->data = data;
	new->next = list;

	return new;
}

void
slist_free_all (SList    *list,
                FreeFunc  func)
{
    for (SList *l = list; l; l = l->next)
        func (l);
}
